Public chain list (slim fields, categorySlugs), with search, tags, and sorting.
Get chains list
GET /api/open/chains
Returns the public chain list with slim fields to reduce payload size; supports keyword search, tags, and sorting. Each item includes categorySlugs (when present in the data source), aligned with GET /api/open/categories?scope=chain key, for filtering and display.
Endpoint
GET /api/open/chains
Query parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
locale | string | No | Display language for name, etc. |
q | string | No | Keyword search (name, etc.) |
tag | string | No | Comma-separated category slugs, OR match |
sort | string | No | Sort field: name / chainId / platforms / tvl; default tvl |
sortDir | string | No | Sort direction: asc / desc; default desc |
Response
200 OK, application/json:
| Field | Type | Description |
|---|---|---|
chains | object[] | List of ChainSlim |
ChainSlim
| Field | Type | Description |
|---|---|---|
_id | string | Internal id |
slug | string | Stable chain slug |
name | string | Chain name (resolved for locale) |
logo | string | undefined | Logo URL |
chain_id | string | Chain ID (e.g. EVM chainId) |
categorySlugs | string[] | Category slugs, aligned with categories key |
llama_tvl | number | undefined | TVL if available |
Errors
| HTTP status | When |
|---|---|
429 | Open API rate limit |
500 | Server error |
Example request
curl -s "https://www.web3base.ai/api/open/chains?locale=en&sort=tvl&sortDir=desc" | jq '.chains[0]'
curl -s "https://www.web3base.ai/api/open/chains?tag=l2,evm" | jq '.chains | length'Example response
{
"chains": [
{
"_id": "1",
"slug": "ethereum",
"name": "Ethereum",
"logo": "https://...",
"chain_id": "1",
"categorySlugs": ["l1", "evm"],
"llama_tvl": 50000000000
}
]
}